--------------------------------------------------------
--  DDL for Table MS2C_WORKSETIDGEN
--------------------------------------------------------
  CREATE TABLE "MS2C_WORKSETIDGEN" 
   (	"BUSINESSCASE" NVARCHAR2(64), 
	"INTERNALID" NUMBER(*,0), 
	"WORKSETID" NVARCHAR2(384), 
	"STARTTIME" TIMESTAMP (6)
   ) TABLESPACE "USER";
   COMMENT ON TABLE "MS2C_WORKSETIDGEN"  IS 'save generated WorksetIDs';
  
--------------------------------------------------------
--  Constraints for Table MS2C_WORKSETIDGEN
--------------------------------------------------------
  ALTER TABLE "MS2C_WORKSETIDGEN" MODIFY ("STARTTIME" NOT NULL ENABLE);
  ALTER TABLE "MS2C_WORKSETIDGEN" MODIFY ("WORKSETID" NOT NULL ENABLE);
  ALTER TABLE "MS2C_WORKSETIDGEN" MODIFY ("INTERNALID" NOT NULL ENABLE);
  ALTER TABLE "MS2C_WORKSETIDGEN" MODIFY ("BUSINESSCASE" NOT NULL ENABLE);
  
--------------------------------------------------------
--  DDL for Index MS2C_WORKSETIDGEN_INDEX1
--------------------------------------------------------
  CREATE INDEX "MS2C_WORKSETIDGEN_INDEX1" ON "MS2C_WORKSETIDGEN" ("BUSINESSCASE");
  
--------------------------------------------------------
--  DDL for Index MS2C_WORKSETIDGEN_UK1
--------------------------------------------------------
  CREATE UNIQUE INDEX "SAPEIP"."MS2C_WORKSETIDGEN_UK1" ON "SAPEIP"."MS2C_WORKSETIDGEN" ("BUSINESSCASE", "INTERNALID")
  
--------------------------------------------------------
--  Testdata
--------------------------------------------------------
insert into MS2C_WORKSETIDGEN values ('RJ_BSC_CMDB',0,'test',systimestamp);